# GET /v1/sessions/{session_id}/storage/keys - List all key-value pairs

Source: <https://everruns.com/docs/api/operations/list_keys/>

GET

/v1/sessions/{session\_id}/storage/keys

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/sessions/example/storage/keys';
const options = {method: 'GET'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request GET \
  --url https://app.everruns.com/api/v1/sessions/example/storage/keys
```

* Production APIapp.everruns.com/api/v1/sessions/{session\_id}/storage/keys

## Parameters

### Path Parameters

**session\_id**

required

string

Session ID

## Responses

### 200

List of key-value pairs

Media typeapplication/json

Response wrapper for list endpoints. All list endpoints return responses wrapped in a `data` field.

object

**data**

required

Array of items returned by the list operation.

Array\<object>

Key-value entry info (key and timestamps, no value)

object

**created\_at**

required

When the key was created

string

**key**

required

The key name

string

**updated\_at**

required

When the key was last updated

string

**value**

required

The stored value

string

##### Examplegenerated

```json
{
  "data": [
    {
      "created_at": "example",
      "key": "example",
      "updated_at": "example",
      "value": "example"
    }
  ]
}
```

### 404

Session not found

### 500

Internal server error